Skip to main content

Request oauth window uri [deprecated]

Deprecated

Use new Create Oauth Authorization URL endpoint instead. This endpoint has been deprecated and will be sunset in the next version. For more information, reference the Migration guide.

Generate an authorization_url for OAuth authorization of the specified member during the connection flow.

GET
/users/{user_identifier}/members/{member_identifier}/oauth_window_uri

Path Parameters

FieldRequiredType

member_identifier

Use either the member id you defined or the MX-defined member guid. See MX-Defined GUIDs vs IDs Defined by You.

Required
String

user_identifier

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Required
String

Query Parameters

FieldRequiredType

client_redirect_url

A URL that MX will redirect to at the end of OAuth with additional query parameters. Only available with referral_source=APP.

Optional
String

enable_app2app

This indicates whether OAuth app2app behavior is enabled for institutions that support it. Defaults to true. When set to false, any oauth_window_uri generated will not direct the end user to the institution's mobile application. This setting is not persistent. This setting currently only affects Chase institutions.

Optional
String

referral_source

Must be either BROWSER or APP depending on the implementation. Defaults to BROWSER.

Optional
String

ui_message_webview_url_scheme

A scheme for routing the user back to the application state they were previously in. Only available with referral_source=APP.

Optional
String

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String
Loading...